package sample.sample_c;

public class intJanken {
	public static int グー = 0;

	public static int チョキ = 2;

	public static int パー = 5;

	public static int 第一引数の勝ち = 1;

	public static int 第二引数の勝ち = 2;

	public static int あいこ = -1;

	public static int 判定(int val1, int val2) {
		if (val1 == グー) {
			return グー対XXXの判定(val2);
		} else if (val1 == チョキ) {
			return チョキ対XXXの判定(val2);
		} else if (val1 == パー) {
			return パー対XXXの判定(val2);
		} else {
			throw new IllegalArgumentException();
		}
	}

	private static int パー対XXXの判定(int val2) {
		if (val2 == グー) {
			return 第一引数の勝ち;
		} else if (val2 == チョキ) {
			return 第二引数の勝ち;
		} else if (val2 == パー) {
			return あいこ;
		} else {
			throw new IllegalArgumentException();
		}
	}

	private static int チョキ対XXXの判定(int val2) {
		if (val2 == グー) {
			return 第二引数の勝ち;
		} else if (val2 == チョキ) {
			return あいこ;
		} else if (val2 == パー) {
			return 第一引数の勝ち;
		} else {
			throw new IllegalArgumentException();
		}
	}

	private static int グー対XXXの判定(int val2) {
		if (val2 == グー) {
			return あいこ;
		} else if (val2 == チョキ) {
			return 第一引数の勝ち;
		} else if (val2 == パー) {
			return 第二引数の勝ち;
		} else {
			throw new IllegalArgumentException();
		}
	}
}
